Adding PHP 5.6 no ISPC interface result

Discussion in 'ISPConfig 3 Priority Support' started by MaxT, Mar 22, 2019.

Tags:
  1. MaxT

    MaxT Member HowtoForge Supporter

    I have folllowed the guide: https://www.howtoforge.com/tutorial...#nbspcompilenbspphpnbsp-as-phpfpm-and-fastcgi

    I have the ISPC options configured, and new php5.6 is working:

    Code:
      (HTOP):
    569 root       20   0  469M 45316 36488 S  0.0  2.2  0:02.87 +- php-fpm: master process (/etc/php/7.0/fpm/php-fpm.conf)
      899 www-data   20   0  469M 10488  1660 S  0.0  0.5  0:00.00 ¦  +- php-fpm: pool www
      898 www-data   20   0  469M 10488  1660 S  0.0  0.5  0:00.00 ¦  +- php-fpm: pool www
      897 web3       20   0  469M 11180  2352 S  0.0  0.6  0:00.00 ¦  +- php-fpm: pool web3
      896 web3       20   0  469M 11180  2352 S  0.0  0.6  0:00.00 ¦  +- php-fpm: pool web3
      566 root       20   0  185M 22952 17744 S  0.0  1.1  0:02.18 +- php-fpm: master process (/opt/php-5.6/etc/php-fpm.conf)
      790 www-data   20   0  185M  8340  3132 S  0.0  0.4  0:00.00 ¦  +- php-fpm: pool www
      789 www-data   20   0  185M  8340  3132 S  0.0  0.4  0:00.00 ¦  +- php-fpm: pool www
    however, there is no option to change php version inside ISPC -> Sites.
    I have:

    - ISPC -> Cllients -> Limits: PHP [ ] Disabled [x]Fast-CGI [x]CGI [ ]Mod-PHP [ ]SuPHP [x]PHP-FPM.
    and
    - ISPC -> System -> Additional PHP version according guidelines tutorial.

    Then I go to ISPC -> Sites -> Websites -> Domain, I select PHP-FPM but there is no option to change php version.


    I tried a debug:
    crontab : #* * * * * /usr/local/ispconfig/server/server.sh 2>&1 | while read line; do echo `/bin/date` "$line" >> /var/log/ispconfig/cron.log; done
    #sh /usr/local/ispconfig/server/server.sh

    and then I try to change php version, without any error results.

    What should I check to solve the issue?
     
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Did you add the new php version under System > Additional PHP versions for php-fpm?
     
  3. MaxT

    MaxT Member HowtoForge Supporter

    yes.

    Name: PHP 5.6
    Active[x]

    Fast CGI Settings
    Path to the PHP FastCGI binary: /opt/php-5.6/bin/php-cgi
    Path to the php.ini directory: /opt/php-5.6/lib

    PHP-FPM Settings
    Path to the PHP-FPM init script: php-5.6-fpm
    Path to the php.ini directory: /opt/php-5.6/lib
    Path to the PHP-FPM pool directory: /opt/php-5.6/etc/php-fpm.d

    and are present:
    Code:
    # ll /opt/php-5.6/bin/php-cgi
    -rwxr-xr-x 1 root root 43M dom 17/03/2019 20:58 /opt/php-5.6/bin/php-cgi
    
    # ll /opt/php-5.6/bin/php-cgi
    -rwxr-xr-x 1 root root 43M dom 17/03/2019 20:58 /opt/php-5.6/bin/php-cgi
    
    # ll /opt/php-5.6/lib
    total 84K
    drwxr-xr-x 15 root root 4,0K dom 17/03/2019 20:58 php/
    drwxr-xr-x  3 root root 4,0K dom 17/03/2019 20:58 ./
    drwxr-xr-x  9 root root 4,0K dom 17/03/2019 20:58 ../
    -rw-r--r--  1 root root  72K dom 17/03/2019 20:58 php.ini
    
    # ll /opt/php-5.6/etc/php-fpm.d
    total 8,0K
    drwxr-xr-x 2 root root 4,0K dom 17/03/2019 20:59 ./
    drwxr-xr-x 3 root root 4,0K dom 17/03/2019 22:54 ../
    
    it seems the ISPC cannot recognize the new PHP installed
     
    Last edited: Mar 22, 2019
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    ISPConfig does not check if it exists. when you add it under System > Additionl PHP versions, then it will show up for the fpm and fcgi mode.

    Are you using the current ISPconfig version? The PHP version selector is shown by javascript, maybe you use some kind of script or adblock addon in your browser that hides the version selector.
     
  5. till

    till Super Moderator Staff Member ISPConfig Developer

    And you tested this as admin user, right?
     
  6. MaxT

    MaxT Member HowtoForge Supporter

    yes, I'm using admin user.
    No ad blocking activated.

    Then, Do you mean when I add a new PHP version in System -> Additional php version, the ISPC will show the new php5.6 in an automatic way?. Is there no checking of presence of /opt/php-5.6 inside the system?

    I mean: my doubt is to know if perhaps ISPC has not included the new php56 inside his database.
     
  7. till

    till Super Moderator Staff Member ISPConfig Developer

    Yes.

    There is no check.

    The version selector is even visible without any additional PHP versions, it just shows 'default' then. So you should see it always when php-fpm or php-fcgi is selected in a website. see screenshot.
     

    Attached Files:

  8. MaxT

    MaxT Member HowtoForge Supporter

    so in my case no option is shown:

    [​IMG]
     
  9. till

    till Super Moderator Staff Member ISPConfig Developer

    Ok, but you have the version selector. I thought the selector is not there. Check the additional PHp version that you've added, maybe you limited it to one client only?
     
  10. MaxT

    MaxT Member HowtoForge Supporter

    I can see the selector but no option displayed for php5.6, despite it has been installed (see first message, the process is working in the system).

    No limit for client

    [​IMG]


    Is there any other ISPC option which can disable the displaying of new php in the selector?
     
    Last edited: Mar 22, 2019
  11. MaxT

    MaxT Member HowtoForge Supporter

    I atttach all what I imagine can have some relevance in ISPC for the option. Please , if you see something strange, tell me.
    I'm really lost with this problem.:(

    also: I cannot see relevant things inside /var/log, except /var/log/apache2/other_vhosts_access.log is flooded with "GET /datalogstatus.php" .

    It can have something to do with this problem?

    (sorry, ISPC version is 3.1.13p1)
    thanks
     

    Attached Files:

    Last edited: Mar 22, 2019
  12. till

    till Super Moderator Staff Member ISPConfig Developer

    The problem is the client you selected in the additional PHP settings. Change it so that no client is selected there.
     
    MaxT and Taleman like this.
  13. Taleman

    Taleman Well-Known Member HowtoForge Supporter

    I would leave the client empty in "Additional PHP versions form" so it applies to all clients.
    Is the server chosen there the server you are trying to use with these extra PHP versions?
     
    MaxT likes this.
  14. MaxT

    MaxT Member HowtoForge Supporter

    works! :)

    I was puzzled because I thought the client name was a forced option for every new client, because it don't allow me to leave the client name in blank.
    I have deleted it and recreate a new one without client name.

    what a simple thing for this headache.. lot of thanks! :)

    ** btw: Anyway, if I understand right, it seems a little confusing seeing a client name in the configuration but still the php5.6 doesn't work for the websites of that same client. Don't know if this is a bug or I really I don't understand the logics here. Thanks anyway :)
     
    Last edited: Mar 22, 2019
  15. till

    till Super Moderator Staff Member ISPConfig Developer

    It should work for the website of that client. I'll check if there is something wrong with the selector.
     
    MaxT likes this.
  16. MaxT

    MaxT Member HowtoForge Supporter

    ok :). Maybe it failed only my case, I'm not sure. Although I have followed only the tutorial without doing other changes.
    Thx
     

Share This Page